Bug 91447 - [10 Regression] FAIL: g++.dg/ipa/ipa-icf-4.C -std=gnu++98 scan-ipa-dump icf
Summary: [10 Regression] FAIL: g++.dg/ipa/ipa-icf-4.C -std=gnu++98 scan-ipa-dump icf
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ipa (show other bugs)
Version: 10.0
: P3 normal
Target Milestone: ---
Assignee: Martin Liška
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-14 20:05 UTC by John David Anglin
Modified: 2019-08-16 08:16 UTC (History)
1 user (show)

See Also:
Host: hppa2.0w-hp-hpux11.11
Target: hppa2.0w-hp-hpux11.11
Build: hppa2.0w-hp-hpux11.11
Known to work: 9.2.0
Known to fail: 10.0
Last reconfirmed: 2019-08-15 00:00:00


Attachments
ICF dump (1.91 KB, text/plain)
2019-08-14 20:05 UTC, John David Anglin
Details
Patch candidate (467 bytes, application/mbox)
2019-08-15 07:32 UTC, Martin Liška
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John David Anglin 2019-08-14 20:05:18 UTC
Created attachment 46713 [details]
ICF dump

spawn /test/gnu/gcc/objdir/gcc/testsuite/g++/../../xg++ -B/test/gnu/gcc/objdir/g
cc/testsuite/g++/../../ /test/gnu/gcc/gcc/gcc/testsuite/g++.dg/ipa/ipa-icf-4.C -
fno-diagnostics-show-caret -fno-diagnostics-show-line-numbers -fdiagnostics-colo
r=never -nostdinc++ -I/test/gnu/gcc/objdir/hppa2.0w-hp-hpux11.11/libstdc++-v3/in
clude/hppa2.0w-hp-hpux11.11 -I/test/gnu/gcc/objdir/hppa2.0w-hp-hpux11.11/libstdc
++-v3/include -I/test/gnu/gcc/gcc/libstdc++-v3/libsupc++ -I/test/gnu/gcc/gcc/lib
stdc++-v3/include/backward -I/test/gnu/gcc/gcc/libstdc++-v3/testsuite/util -fmes
sage-length=0 -std=gnu++98 -O2 -fdump-ipa-icf-optimized -fno-inline -S -o ipa-ic
f-4.s
PASS: g++.dg/ipa/ipa-icf-4.C  -std=gnu++98 (test for excess errors)
FAIL: g++.dg/ipa/ipa-icf-4.C  -std=gnu++98  scan-ipa-dump icf "(Unified; Variable alias has been created)|(Symbol aliases are not supported by target)"
PASS: g++.dg/ipa/ipa-icf-4.C  -std=gnu++98  scan-ipa-dump icf "Equal symbols: [67]"
Comment 1 Martin Liška 2019-08-15 07:31:32 UTC
Mine.
Comment 2 Martin Liška 2019-08-15 07:32:49 UTC
Created attachment 46716 [details]
Patch candidate

@John: Can you please test it for me?
Comment 3 dave.anglin 2019-08-15 13:57:56 UTC
On 2019-08-15 3:32 a.m., marxin at gcc dot gnu.org wrote:
> Created attachment 46716 [details]
>   --> https://gcc.gnu.org/bugzilla/attachment.cgi?id=46716&action=edit
> Patch candidate
>
> @John: Can you please test it for me?
This patch fixes the test.

Thanks,
Dave
Comment 4 Martin Liška 2019-08-16 08:11:26 UTC
Author: marxin
Date: Fri Aug 16 08:10:55 2019
New Revision: 274562

URL: https://gcc.gnu.org/viewcvs?rev=274562&root=gcc&view=rev
Log:
Add missed to a opt-info dump.

2019-08-16  Martin Liska  <mliska@suse.cz>

	PR ipa/91447
	* g++.dg/ipa/ipa-icf-4.C: Add -missed for target that
	don't have aliases.

Modified:
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/g++.dg/ipa/ipa-icf-4.C
Comment 5 Martin Liška 2019-08-16 08:16:43 UTC
Fixed now.